aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSeth Alves <alves@src.gnome.org>2000-02-26 22:22:53 +0800
committerSeth Alves <alves@src.gnome.org>2000-02-26 22:22:53 +0800
commitda4baaed45c16e5e8285644952da56dca92da580 (patch)
tree8a561602d4890c4f531cf09983f1185a8e1e4ae5
parent07a4a7b97ea99b3177f5f5a832155564154fb446 (diff)
downloadgsoc2013-evolution-da4baaed45c16e5e8285644952da56dca92da580.tar
gsoc2013-evolution-da4baaed45c16e5e8285644952da56dca92da580.tar.gz
gsoc2013-evolution-da4baaed45c16e5e8285644952da56dca92da580.tar.bz2
gsoc2013-evolution-da4baaed45c16e5e8285644952da56dca92da580.tar.lz
gsoc2013-evolution-da4baaed45c16e5e8285644952da56dca92da580.tar.xz
gsoc2013-evolution-da4baaed45c16e5e8285644952da56dca92da580.tar.zst
gsoc2013-evolution-da4baaed45c16e5e8285644952da56dca92da580.zip
added autogen.sh so this library can be build on its own
svn path=/trunk/; revision=1967
-rw-r--r--libical/.cvsignore10
-rwxr-xr-xlibical/autogen.sh80
-rw-r--r--libical/configure.in27
3 files changed, 116 insertions, 1 deletions
diff --git a/libical/.cvsignore b/libical/.cvsignore
index dfdde624c1..dac35a4b96 100644
--- a/libical/.cvsignore
+++ b/libical/.cvsignore
@@ -2,4 +2,12 @@ config.log
Makefile
configure
config.status
-Makefile.in \ No newline at end of file
+Makefile.in
+config.h.in
+aclocal.m4
+stamp-h.in
+config.h
+config.cache
+stamp-h
+libtool
+
diff --git a/libical/autogen.sh b/libical/autogen.sh
new file mode 100755
index 0000000000..e15e4e33a8
--- /dev/null
+++ b/libical/autogen.sh
@@ -0,0 +1,80 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+PROJECT=libical
+TEST_TYPE=-d
+FILE=src
+
+DIE=0
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed to compile $PROJECT."
+ echo "Download the appropriate package for your distribution,"
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have automake installed to compile $PROJECT."
+ echo "Get ftp://ftp.cygnus.com/pub/home/tromey/automake-1.2d.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
+}
+
+if test "$DIE" -eq 1; then
+ exit 1
+fi
+
+test $TEST_TYPE $FILE || {
+ echo "You must run this script in the top-level $PROJECT directory"
+ exit 1
+}
+
+if test -z "$*"; then
+ echo "I am going to run ./configure with no arguments - if you wish "
+ echo "to pass any to it, please specify them on the $0 command line."
+fi
+
+case $CC in
+*xlc | *xlc\ * | *lcc | *lcc\ *) am_opt=--include-deps;;
+esac
+
+if test -z "$ACLOCAL_FLAGS"; then
+
+ acdir=`aclocal --print-ac-dir`
+ m4list="glib.m4"
+
+ for file in $m4list
+ do
+ if [ ! -f "$acdir/$file" ]; then
+ echo "WARNING: aclocal's directory is $acdir, but..."
+ echo " no file $acdir/$file"
+ echo " You may see fatal macro warnings below."
+ echo " If these files are installed in /some/dir, set the ACLOCAL_FLAGS "
+ echo " environment variable to \"-I /some/dir\", or install"
+ echo " $acdir/$file."
+ echo ""
+ fi
+ done
+fi
+
+aclocal $ACLOCAL_FLAGS
+
+# optionally feature autoheader
+(autoheader --version) < /dev/null > /dev/null 2>&1 && autoheader
+
+automake -a $am_opt
+autoconf
+cd $ORIGDIR
+
+$srcdir/configure "$@"
+
+echo
+echo "Now type 'make' to compile $PROJECT."
diff --git a/libical/configure.in b/libical/configure.in
new file mode 100644
index 0000000000..022a3d1461
--- /dev/null
+++ b/libical/configure.in
@@ -0,0 +1,27 @@
+dnl Process this file with autoconf to produce a configure script.
+AC_PREREQ(2.2)
+AC_INIT(src/libical/ical.h)
+AM_CONFIG_HEADER(config.h)
+AM_INIT_AUTOMAKE(libical,0.15a)
+
+dnl Checks for programs.
+AC_PROG_CC
+AC_STDC_HEADERS
+AC_PROG_YACC
+AM_PROG_LEX
+AM_PROG_LIBTOOL
+AC_PROG_INSTALL
+AC_PROG_CPP
+AC_PATH_PROG(RM, rm, /bin/rm)
+AC_PATH_PROG(MV, mv, /bin/mv)
+AC_PATH_PROG(TAR, tar, /bin/tar)
+
+AC_SUBST(CFLAGS)
+AC_SUBST(CPPFLAGS)
+AC_SUBST(LDFLAGS)
+
+AC_OUTPUT([
+Makefile
+src/Makefile
+src/libical/Makefile
+src/libicalss/Makefile])